Package edu.msu.cme.rdp.classifier.comparison

## Class AbstractNode

- java.lang.Object
- - edu.msu.cme.rdp.classifier.comparison.AbstractNode

All Implemented Interfaces:
  `ComparisonBrowserNode`, `Taxon`

Direct Known Subclasses:
  `TaxonTree`, `UncNode`

    public abstract class AbstractNode
    extends java.lang.Object
    implements Taxon, ComparisonBrowserNode

### Constructor Summary

Constructors
`AbstractNode()` Creates a new instance of AbstractNode

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `changeConfidence​(SigCalculator cal)`
`abstract ComparisonBrowserNode` `findNode​(int id)`
`abstract java.util.Iterator` `getDetailIterator​(float conf)`
`double` `getDoubleSignificance()`
`int` `getIndent()`
`java.util.Iterator` `getLineageIterator()`
`abstract java.lang.String` `getName()`
`abstract java.lang.String` `getRank()`
`int` `getS1Count()`
`int` `getS2Count()`
`java.lang.String` `getSignificance()`
`abstract int` `getTaxid()`
`java.util.Iterator` `getTaxonIterator​(int depth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractNode

    public AbstractNode()

Creates a new instance of AbstractNode

### Method Detail

#### getTaxonIterator

    public java.util.Iterator getTaxonIterator​(int depth)

Specified by:
  `getTaxonIterator` in interface `ComparisonBrowserNode`

#### getLineageIterator

    public java.util.Iterator getLineageIterator()

Specified by:
  `getLineageIterator` in interface `ComparisonBrowserNode`

#### getDetailIterator

    public abstract java.util.Iterator getDetailIterator​(float conf)

Specified by:
  `getDetailIterator` in interface `ComparisonBrowserNode`

#### changeConfidence

    public abstract void changeConfidence​(SigCalculator cal)

Specified by:
  `changeConfidence` in interface `ComparisonBrowserNode`

#### findNode

    public abstract ComparisonBrowserNode findNode​(int id)

Specified by:
  `findNode` in interface `ComparisonBrowserNode`

#### getName

    public abstract java.lang.String getName()

Specified by:
  `getName` in interface `Taxon`

#### getRank

    public abstract java.lang.String getRank()

Specified by:
  `getRank` in interface `Taxon`

#### getTaxid

    public abstract int getTaxid()

Specified by:
  `getTaxid` in interface `Taxon`

#### getS1Count

    public int getS1Count()

Specified by:
  `getS1Count` in interface `Taxon`

#### getS2Count

    public int getS2Count()

Specified by:
  `getS2Count` in interface `Taxon`

#### getDoubleSignificance

    public double getDoubleSignificance()

#### getSignificance

    public java.lang.String getSignificance()

Specified by:
  `getSignificance` in interface `Taxon`

#### getIndent

    public int getIndent()

Specified by:
  `getIndent` in interface `Taxon`